## com.fasterxml.jackson.databind.deser
Class DataFormatReaders.AccessorForReader

    java.lang.Object
      com.fasterxml.jackson.core.format.InputAccessor.Std
          com.fasterxml.jackson.databind.deser.DataFormatReaders.AccessorForReader

All Implemented Interfaces:
  InputAccessor

Enclosing class:
  DataFormatReaders

    protected class DataFormatReaders.AccessorForReader

extends InputAccessor.Std

We need sub-class here as well, to be able to access efficiently.

Nested Class Summary

Nested classes/interfaces inherited from interface com.fasterxml.jackson.core.format.InputAccessor
`InputAccessor.Std`

Field Summary

Fields inherited from class com.fasterxml.jackson.core.format.InputAccessor.Std
`_buffer, _bufferedEnd, _bufferedStart, _in, _ptr`

Constructor Summary
`DataFormatReaders.AccessorForReader(byte[] inputDocument)`
`DataFormatReaders.AccessorForReader(byte[] inputDocument, int start, int len)`
`DataFormatReaders.AccessorForReader(InputStream in, byte[] buffer)`

Method Summary
`DataFormatReaders.Match` `createMatcher(ObjectReader match, MatchStrength matchStrength)`

Methods inherited from class com.fasterxml.jackson.core.format.InputAccessor.Std
`createMatcher, hasMoreBytes, nextByte, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFormatReaders.AccessorForReader

    public DataFormatReaders.AccessorForReader(InputStream in,
                                               byte[] buffer)

### DataFormatReaders.AccessorForReader

    public DataFormatReaders.AccessorForReader(byte[] inputDocument)

### DataFormatReaders.AccessorForReader

    public DataFormatReaders.AccessorForReader(byte[] inputDocument,
                                               int start,
                                               int len)

Method Detail

### createMatcher

    public DataFormatReaders.Match createMatcher(ObjectReader match,
                                                 MatchStrength matchStrength)

Copyright © 2012 FasterXML. All Rights Reserved.